Bug 478026 - MIGRATED_FROM_JIRA: Mapping Tool should not generate <write-expression> tag
MIGRATED_FROM_JIRA: Mapping Tool should not generate <write-expression> tag
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:51 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:51:57 EST
Create a new mapping with one source. Define the expression for the fields. Save the configuration. You will see that in the mapping.xml, the source section in the new mapping will have some <write-expression> tags. See the following example:

    <source name="l">
      <field name="uid">
        <write-expression>uid</write-expression>
        <expression>uid</expression>
      </field>
      <field name="sn">
        <write-expression>sn</write-expression>
        <expression>sn</expression>
      </field>
      <field name="cn">
        <write-expression>cn</write-expression>
        <expression>cn</expression>
      </field>
    </source>

The <write-expression> is no longer needed, it has been replaced by the <expression> tag, which is already there. The old tag doesn't cause a problem on the server, but it shouldn't be there.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-16',
          'assignee' => 'endisd',
          'summary' => 'Mapping Tool should not generate <write-expression> tag',
          'id' => '10081',
          'updated' => '2005-07-07 17:56:35.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Create a new mapping with one source. Define the expression for the fields. Save the configuration. You will see that in the mapping.xml, the source section in the new mapping will have some <write-expression> tags. See the following example:

    <source name="l">
      <field name="uid">
        <write-expression>uid</write-expression>
        <expression>uid</expression>
      </field>
      <field name="sn">
        <write-expression>sn</write-expression>
        <expression>sn</expression>
      </field>
      <field name="cn">
        <write-expression>cn</write-expression>
        <expression>cn</expression>
      </field>
    </source>

The <write-expression> is no longer needed, it has been replaced by the <expression> tag, which is already there. The old tag doesn't cause a problem on the server, but it shouldn't be there.
',
          'created' => '2005-05-13 12:48:26.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:51:59 EST
Closing bug as it was already closed in Jira - PENROSE-16

Note You need to log in before you can comment on or make changes to this bug.